diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -4902,9 +4910,9 @@ module Tables = struct
         let _v : (Parsetree.class_type_field) = let _2 =
           let _1 = _1_inlined1 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 4908 "parsing/parser.ml"
+# 4916 "parsing/parser.ml"
           
         in
         let _endpos__2_ = _endpos__1_inlined1_ in
@@ -4912,10 +4920,10 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1972 "parsing/parser.mly"
+# 1980 "parsing/parser.mly"
       ( let docs = symbol_docs _sloc in
         mkctf ~loc:_sloc (Pctf_extension _1) ~attrs:_2 ~docs )
-# 4919 "parsing/parser.ml"
+# 4927 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -4939,23 +4947,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.class_type_field) = let _1 =
           let _1 = 
-# 1975 "parsing/parser.mly"
+# 1983 "parsing/parser.mly"
       ( Pctf_attribute _1 )
-# 4945 "parsing/parser.ml"
+# 4953 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 866 "parsing/parser.mly"
+# 874 "parsing/parser.mly"
     ( mkctf ~loc:_sloc _1 )
-# 4953 "parsing/parser.ml"
+# 4961 "parsing/parser.ml"
           
         in
         
-# 1976 "parsing/parser.mly"
+# 1984 "parsing/parser.mly"
       ( _1 )
-# 4959 "parsing/parser.ml"
+# 4967 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -4984,42 +4992,42 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 4990 "parsing/parser.ml"
+# 4998 "parsing/parser.ml"
               
             in
             let tys =
               let tys = 
-# 1934 "parsing/parser.mly"
+# 1942 "parsing/parser.mly"
       ( [] )
-# 4997 "parsing/parser.ml"
+# 5005 "parsing/parser.ml"
                in
               
-# 1940 "parsing/parser.mly"
+# 1948 "parsing/parser.mly"
     ( tys )
-# 5002 "parsing/parser.ml"
+# 5010 "parsing/parser.ml"
               
             in
             
-# 1917 "parsing/parser.mly"
+# 1925 "parsing/parser.mly"
         ( Pcty_constr (cid, tys) )
-# 5008 "parsing/parser.ml"
+# 5016 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 5017 "parsing/parser.ml"
+# 5025 "parsing/parser.ml"
           
         in
         
-# 1920 "parsing/parser.mly"
+# 1928 "parsing/parser.mly"
       ( _1 )
-# 5023 "parsing/parser.ml"
+# 5031 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5070,9 +5078,9 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 5076 "parsing/parser.ml"
+# 5084 "parsing/parser.ml"
               
             in
             let tys =
@@ -5081,30 +5089,30 @@ module Tables = struct
                   let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 5085 "parsing/parser.ml"
+# 5093 "parsing/parser.ml"
                    in
                   
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 5090 "parsing/parser.ml"
+# 5098 "parsing/parser.ml"
                   
                 in
                 
-# 1936 "parsing/parser.mly"
+# 1944 "parsing/parser.mly"
       ( params )
-# 5096 "parsing/parser.ml"
+# 5104 "parsing/parser.ml"
                 
               in
               
-# 1940 "parsing/parser.mly"
+# 1948 "parsing/parser.mly"
     ( tys )
-# 5102 "parsing/parser.ml"
+# 5110 "parsing/parser.ml"
               
             in
             
-# 1917 "parsing/parser.mly"
+# 1925 "parsing/parser.mly"
         ( Pcty_constr (cid, tys) )
-# 5108 "parsing/parser.ml"
+# 5116 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -5112,15 +5120,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 5118 "parsing/parser.ml"
+# 5126 "parsing/parser.ml"
           
         in
         
-# 1920 "parsing/parser.mly"
+# 1928 "parsing/parser.mly"
       ( _1 )
-# 5124 "parsing/parser.ml"
+# 5132 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5144,23 +5152,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.class_type) = let _1 =
           let _1 = 
-# 1919 "parsing/parser.mly"
+# 1927 "parsing/parser.mly"
         ( Pcty_extension _1 )
-# 5150 "parsing/parser.ml"
+# 5158 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 5158 "parsing/parser.ml"
+# 5166 "parsing/parser.ml"
           
         in
         
-# 1920 "parsing/parser.mly"
+# 1928 "parsing/parser.mly"
       ( _1 )
-# 5164 "parsing/parser.ml"
+# 5172 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5217,44 +5225,44 @@ module Tables = struct
               let _1 = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 5221 "parsing/parser.ml"
+# 5229 "parsing/parser.ml"
                in
               
-# 1954 "parsing/parser.mly"
+# 1962 "parsing/parser.mly"
     ( _1 )
-# 5226 "parsing/parser.ml"
+# 5234 "parsing/parser.ml"
               
             in
             let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
             let _endpos = _endpos__1_ in
             let _startpos = _startpos__1_ in
             
-# 812 "parsing/parser.mly"
+# 820 "parsing/parser.mly"
                                ( extra_csig _startpos _endpos _1 )
-# 5235 "parsing/parser.ml"
+# 5243 "parsing/parser.ml"
             
           in
           
-# 1944 "parsing/parser.mly"
+# 1952 "parsing/parser.mly"
       ( Csig.mk _1 _2 )
-# 5241 "parsing/parser.ml"
+# 5249 "parsing/parser.ml"
           
         in
         let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 5249 "parsing/parser.ml"
+# 5257 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__4_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1922 "parsing/parser.mly"
+# 1930 "parsing/parser.mly"
       ( mkcty ~loc:_sloc ~attrs:_2 (Pcty_signature _3) )
-# 5258 "parsing/parser.ml"
+# 5266 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5311,43 +5319,43 @@ module Tables = struct
               let _1 = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 5315 "parsing/parser.ml"
+# 5323 "parsing/parser.ml"
                in
               
-# 1954 "parsing/parser.mly"
+# 1962 "parsing/parser.mly"
     ( _1 )
-# 5320 "parsing/parser.ml"
+# 5328 "parsing/parser.ml"
               
             in
             let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
             let _endpos = _endpos__1_ in
             let _startpos = _startpos__1_ in
             
-# 812 "parsing/parser.mly"
+# 820 "parsing/parser.mly"
                                ( extra_csig _startpos _endpos _1 )
-# 5329 "parsing/parser.ml"
+# 5337 "parsing/parser.ml"
             
           in
           
-# 1944 "parsing/parser.mly"
+# 1952 "parsing/parser.mly"
       ( Csig.mk _1 _2 )
-# 5335 "parsing/parser.ml"
+# 5343 "parsing/parser.ml"
           
         in
         let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 5343 "parsing/parser.ml"
+# 5351 "parsing/parser.ml"
           
         in
         let _loc__4_ = (_startpos__4_, _endpos__4_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1924 "parsing/parser.mly"
+# 1932 "parsing/parser.mly"
       ( unclosed "object" _loc__1_ "end" _loc__4_ )
-# 5351 "parsing/parser.ml"
+# 5359 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5377,9 +5385,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.class_type) = 
-# 1926 "parsing/parser.mly"
+# 1934 "parsing/parser.mly"
       ( Cty.attr _1 _2 )
-# 5383 "parsing/parser.ml"
+# 5391 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5442,34 +5450,34 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 5448 "parsing/parser.ml"
+# 5456 "parsing/parser.ml"
           
         in
         let _endpos__5_ = _endpos__1_inlined2_ in
         let _4 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 5457 "parsing/parser.ml"
+# 5465 "parsing/parser.ml"
           
         in
         let _3 = 
-# 3649 "parsing/parser.mly"
+# 3677 "parsing/parser.mly"
                                                 ( Fresh )
-# 5463 "parsing/parser.ml"
+# 5471 "parsing/parser.ml"
          in
         let _endpos = _endpos__7_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1928 "parsing/parser.mly"
+# 1936 "parsing/parser.mly"
       ( let loc = (_startpos__2_, _endpos__5_) in
         let od = Opn.mk ~override:_3 ~loc:(make_loc loc) _5 in
         mkcty ~loc:_sloc ~attrs:_4 (Pcty_open(od, _7)) )
-# 5473 "parsing/parser.ml"
+# 5481 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5539,37 +5547,37 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 5545 "parsing/parser.ml"
+# 5553 "parsing/parser.ml"
           
         in
         let _endpos__5_ = _endpos__1_inlined3_ in
         let _4 =
           let _1 = _1_inlined2 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 5554 "parsing/parser.ml"
+# 5562 "parsing/parser.ml"
           
         in
         let _3 =
           let _1 = _1_inlined1 in
           
-# 3650 "parsing/parser.mly"
+# 3678 "parsing/parser.mly"
                                                 ( Override )
-# 5562 "parsing/parser.ml"
+# 5570 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__7_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1928 "parsing/parser.mly"
+# 1936 "parsing/parser.mly"
       ( let loc = (_startpos__2_, _endpos__5_) in
         let od = Opn.mk ~override:_3 ~loc:(make_loc loc) _5 in
         mkcty ~loc:_sloc ~attrs:_4 (Pcty_open(od, _7)) )
-# 5573 "parsing/parser.ml"
+# 5581 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5606,9 +5614,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.class_expr) = 
-# 1788 "parsing/parser.mly"
+# 1796 "parsing/parser.mly"
       ( _2 )
-# 5612 "parsing/parser.ml"
+# 5620 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5647,9 +5655,9 @@ module Tables = struct
         let _v : (Parsetree.class_expr) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         let _loc__1_ = (_startpos__1_, _endpos__1_) in
         
-# 1790 "parsing/parser.mly"
+# 1798 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__3_ )
-# 5653 "parsing/parser.ml"
+# 5661 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5678,42 +5686,42 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 5684 "parsing/parser.ml"
+# 5692 "parsing/parser.ml"
               
             in
             let tys =
               let tys = 
-# 1934 "parsing/parser.mly"
+# 1942 "parsing/parser.mly"
       ( [] )
-# 5691 "parsing/parser.ml"
+# 5699 "parsing/parser.ml"
                in
               
-# 1940 "parsing/parser.mly"
+# 1948 "parsing/parser.mly"
     ( tys )
-# 5696 "parsing/parser.ml"
+# 5704 "parsing/parser.ml"
               
             in
             
-# 1793 "parsing/parser.mly"
+# 1801 "parsing/parser.mly"
         ( Pcl_constr(cid, tys) )
-# 5702 "parsing/parser.ml"
+# 5710 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 870 "parsing/parser.mly"
+# 878 "parsing/parser.mly"
     ( mkclass ~loc:_sloc _1 )
-# 5711 "parsing/parser.ml"
+# 5719 "parsing/parser.ml"
           
         in
         
-# 1800 "parsing/parser.mly"
+# 1808 "parsing/parser.mly"
       ( _1 )
-# 5717 "parsing/parser.ml"
+# 5725 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5764,9 +5772,9 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 5770 "parsing/parser.ml"
+# 5778 "parsing/parser.ml"
               
             in
             let tys =
@@ -5775,30 +5783,30 @@ module Tables = struct
                   let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 5779 "parsing/parser.ml"
+# 5787 "parsing/parser.ml"
                    in
                   
-# 951 "parsing/parser.mly"
+# 959 "parsing/parser.mly"
     ( xs )
-# 5784 "parsing/parser.ml"
+# 5792 "parsing/parser.ml"
                   
                 in
                 
-# 1936 "parsing/parser.mly"
+# 1944 "parsing/parser.mly"
       ( params )
-# 5790 "parsing/parser.ml"
+# 5798 "parsing/parser.ml"
                 
               in
               
-# 1940 "parsing/parser.mly"
+# 1948 "parsing/parser.mly"
     ( tys )
-# 5796 "parsing/parser.ml"
+# 5804 "parsing/parser.ml"
               
             in
             
-# 1793 "parsing/parser.mly"
+# 1801 "parsing/parser.mly"
         ( Pcl_constr(cid, tys) )
-# 5802 "parsing/parser.ml"
+# 5810 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -5806,15 +5814,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 870 "parsing/parser.mly"
+# 878 "parsing/parser.mly"
     ( mkclass ~loc:_sloc _1 )
-# 5812 "parsing/parser.ml"
+# 5820 "parsing/parser.ml"
           
         in
         
-# 1800 "parsing/parser.mly"
+# 1808 "parsing/parser.mly"
       ( _1 )
-# 5818 "parsing/parser.ml"
+# 5826 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5873,43 +5881,43 @@ module Tables = struct
                   let _1 = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 5877 "parsing/parser.ml"
+# 5885 "parsing/parser.ml"
                    in
                   
-# 1827 "parsing/parser.mly"
+# 1835 "parsing/parser.mly"
     ( _1 )
-# 5882 "parsing/parser.ml"
+# 5890 "parsing/parser.ml"
                   
                 in
                 let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
                 let _endpos = _endpos__1_ in
                 let _startpos = _startpos__1_ in
                 
-# 811 "parsing/parser.mly"
+# 819 "parsing/parser.mly"
                                ( extra_cstr _startpos _endpos _1 )
-# 5891 "parsing/parser.ml"
+# 5899 "parsing/parser.ml"
                 
               in
               
-# 1814 "parsing/parser.mly"
+# 1822 "parsing/parser.mly"
        ( Cstr.mk _1 _2 )
-# 5897 "parsing/parser.ml"
+# 5905 "parsing/parser.ml"
               
             in
             let _2 =
               let _1 = _1_inlined1 in
               
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 5905 "parsing/parser.ml"
+# 5913 "parsing/parser.ml"
               
             in
             let _loc__4_ = (_startpos__4_, _endpos__4_) in
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 1795 "parsing/parser.mly"
+# 1803 "parsing/parser.mly"
         ( unclosed "object" _loc__1_ "end" _loc__4_ )
-# 5913 "parsing/parser.ml"
+# 5921 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -5917,15 +5925,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 870 "parsing/parser.mly"
+# 878 "parsing/parser.mly"
     ( mkclass ~loc:_sloc _1 )
-# 5923 "parsing/parser.ml"
+# 5931 "parsing/parser.ml"
           
         in
         
-# 1800 "parsing/parser.mly"
+# 1808 "parsing/parser.mly"
       ( _1 )
-# 5929 "parsing/parser.ml"
+# 5937 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -5977,24 +5985,24 @@ module Tables = struct
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.class_expr) = let _1 =
           let _1 = 
-# 1797 "parsing/parser.mly"
+# 1805 "parsing/parser.mly"
         ( Pcl_constraint(_2, _4) )
-# 5983 "parsing/parser.ml"
+# 5991 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__5_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 870 "parsing/parser.mly"
+# 878 "parsing/parser.mly"
     ( mkclass ~loc:_sloc _1 )
-# 5992 "parsing/parser.ml"
+# 6000 "parsing/parser.ml"
           
         in
         
-# 1800 "parsing/parser.mly"
+# 1808 "parsing/parser.mly"
       ( _1 )
-# 5998 "parsing/parser.ml"
+# 6006 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6049,9 +6057,9 @@ module Tables = struct
             let _loc__5_ = (_startpos__5_, _endpos__5_) in
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 1799 "parsing/parser.mly"
+# 1807 "parsing/parser.mly"
         ( unclosed "(" _loc__1_ ")" _loc__5_ )
-# 6055 "parsing/parser.ml"
+# 6063 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__5_ in
@@ -6059,15 +6067,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 870 "parsing/parser.mly"
+# 878 "parsing/parser.mly"
     ( mkclass ~loc:_sloc _1 )
-# 6065 "parsing/parser.ml"
+# 6073 "parsing/parser.ml"
           
         in
         
-# 1800 "parsing/parser.mly"
+# 1808 "parsing/parser.mly"
       ( _1 )
-# 6071 "parsing/parser.ml"
+# 6079 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6124,44 +6132,44 @@ module Tables = struct
               let _1 = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 6128 "parsing/parser.ml"
+# 6136 "parsing/parser.ml"
                in
               
-# 1827 "parsing/parser.mly"
+# 1835 "parsing/parser.mly"
     ( _1 )
-# 6133 "parsing/parser.ml"
+# 6141 "parsing/parser.ml"
               
             in
             let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
             let _endpos = _endpos__1_ in
             let _startpos = _startpos__1_ in
             
-# 811 "parsing/parser.mly"
+# 819 "parsing/parser.mly"
                                ( extra_cstr _startpos _endpos _1 )
-# 6142 "parsing/parser.ml"
+# 6150 "parsing/parser.ml"
             
           in
           
-# 1814 "parsing/parser.mly"
+# 1822 "parsing/parser.mly"
        ( Cstr.mk _1 _2 )
-# 6148 "parsing/parser.ml"
+# 6156 "parsing/parser.ml"
           
         in
         let _2 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 6156 "parsing/parser.ml"
+# 6164 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__4_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1802 "parsing/parser.mly"
+# 1810 "parsing/parser.mly"
     ( mkclass ~loc:_sloc ~attrs:_2 (Pcl_structure _3) )
-# 6165 "parsing/parser.ml"
+# 6173 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6184,9 +6192,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.class_type) = 
-# 1905 "parsing/parser.mly"
+# 1913 "parsing/parser.mly"
       ( _1 )
-# 6190 "parsing/parser.ml"
+# 6198 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6232,14 +6240,14 @@ module Tables = struct
         let _v : (Parsetree.class_type) = let _1 =
           let _1 =
             let label = 
-# 3243 "parsing/parser.mly"
+# 3263 "parsing/parser.mly"
       ( Optional label )
-# 6238 "parsing/parser.ml"
+# 6246 "parsing/parser.ml"
              in
             
-# 1911 "parsing/parser.mly"
+# 1919 "parsing/parser.mly"
         ( Pcty_arrow(label, domain, codomain) )
-# 6243 "parsing/parser.ml"
+# 6251 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_codomain_, _startpos_label_) in
@@ -6247,15 +6255,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 6253 "parsing/parser.ml"
+# 6261 "parsing/parser.ml"
           
         in
         
-# 1912 "parsing/parser.mly"
+# 1920 "parsing/parser.mly"
       ( _1 )
-# 6259 "parsing/parser.ml"
+# 6267 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6302,9 +6310,9 @@ module Tables = struct
         let domain : (Parsetree.core_type) = Obj.magic domain in
         let _2 : unit = Obj.magic _2 in
         let label : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 6308 "parsing/parser.ml"
+# 6316 "parsing/parser.ml"
         ) = Obj.magic label in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos_label_ in
@@ -6312,14 +6320,14 @@ module Tables = struct
         let _v : (Parsetree.class_type) = let _1 =
           let _1 =
             let label = 
-# 3245 "parsing/parser.mly"
+# 3265 "parsing/parser.mly"
       ( Labelled label )
-# 6318 "parsing/parser.ml"
+# 6326 "parsing/parser.ml"
              in
             
-# 1911 "parsing/parser.mly"
+# 1919 "parsing/parser.mly"
         ( Pcty_arrow(label, domain, codomain) )
-# 6323 "parsing/parser.ml"
+# 6331 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_codomain_, _startpos_label_) in
@@ -6327,15 +6335,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 6333 "parsing/parser.ml"
+# 6341 "parsing/parser.ml"
           
         in
         
-# 1912 "parsing/parser.mly"
+# 1920 "parsing/parser.mly"
       ( _1 )
-# 6339 "parsing/parser.ml"
+# 6347 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6374,14 +6382,14 @@ module Tables = struct
         let _v : (Parsetree.class_type) = let _1 =
           let _1 =
             let label = 
-# 3247 "parsing/parser.mly"
+# 3267 "parsing/parser.mly"
       ( Nolabel )
-# 6380 "parsing/parser.ml"
+# 6388 "parsing/parser.ml"
              in
             
-# 1911 "parsing/parser.mly"
+# 1919 "parsing/parser.mly"
         ( Pcty_arrow(label, domain, codomain) )
-# 6385 "parsing/parser.ml"
+# 6393 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_codomain_, _startpos_domain_) in
@@ -6389,15 +6397,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 864 "parsing/parser.mly"
+# 872 "parsing/parser.mly"
     ( mkcty ~loc:_sloc _1 )
-# 6395 "parsing/parser.ml"
+# 6403 "parsing/parser.ml"
           
         in
         
-# 1912 "parsing/parser.mly"
+# 1920 "parsing/parser.mly"
       ( _1 )
-# 6401 "parsing/parser.ml"
+# 6409 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6480,9 +6488,9 @@ module Tables = struct
         let csig : (Parsetree.class_type) = Obj.magic csig in
         let _8 : unit = Obj.magic _8 in
         let _1_inlined2 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 6486 "parsing/parser.ml"
+# 6494 "parsing/parser.ml"
         ) = Obj.magic _1_inlined2 in
         let params : ((Parsetree.core_type * (Asttypes.variance * Asttypes.injectivity)) list) = Obj.magic params in
         let virt : (Asttypes.virtual_flag) = Obj.magic virt in
@@ -6498,9 +6506,9 @@ module Tables = struct
             let attrs2 =
               let _1 = _1_inlined3 in
               
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 6504 "parsing/parser.ml"
+# 6512 "parsing/parser.ml"
               
             in
             let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -6510,24 +6518,24 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 6516 "parsing/parser.ml"
+# 6524 "parsing/parser.ml"
               
             in
             let attrs1 =
               let _1 = _1_inlined1 in
               
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 6524 "parsing/parser.ml"
+# 6532 "parsing/parser.ml"
               
             in
             let _endpos = _endpos_attrs2_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 2050 "parsing/parser.mly"
+# 2058 "parsing/parser.mly"
     (
       let attrs = attrs1 @ attrs2 in
       let loc = make_loc _sloc in
@@ -6535,19 +6543,19 @@ module Tables = struct
       ext,
       Ci.mk id csig ~virt ~params ~attrs ~loc ~docs
     )
-# 6539 "parsing/parser.ml"
+# 6547 "parsing/parser.ml"
             
           in
           
-# 1048 "parsing/parser.mly"
+# 1056 "parsing/parser.mly"
     ( let (x, b) = a in x, b :: bs )
-# 6545 "parsing/parser.ml"
+# 6553 "parsing/parser.ml"
           
         in
         
-# 2038 "parsing/parser.mly"
+# 2046 "parsing/parser.mly"
     ( _1 )
-# 6551 "parsing/parser.ml"
+# 6559 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6570,9 +6578,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Longident.t) = 
-# 3532 "parsing/parser.mly"
+# 3560 "parsing/parser.mly"
                                            ( _1 )
-# 6576 "parsing/parser.ml"
+# 6584 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6591,17 +6599,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 637 "parsing/parser.mly"
+# 645 "parsing/parser.mly"
        (string * char option)
-# 6597 "parsing/parser.ml"
+# 6605 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.constant) = 
-# 3415 "parsing/parser.mly"
+# 3435 "parsing/parser.mly"
                  ( let (n, m) = _1 in Pconst_integer (n, m) )
-# 6605 "parsing/parser.ml"
+# 6613 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6620,17 +6628,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 596 "parsing/parser.mly"
+# 604 "parsing/parser.mly"
        (char)
-# 6626 "parsing/parser.ml"
+# 6634 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.constant) = 
-# 3416 "parsing/parser.mly"
+# 3436 "parsing/parser.mly"
                  ( Pconst_char _1 )
-# 6634 "parsing/parser.ml"
+# 6642 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6649,17 +6657,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 689 "parsing/parser.mly"
+# 697 "parsing/parser.mly"
        (string * Location.t * string option)
-# 6655 "parsing/parser.ml"
+# 6663 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.constant) = 
-# 3417 "parsing/parser.mly"
+# 3437 "parsing/parser.mly"
                  ( let (s, strloc, d) = _1 in Pconst_string (s, strloc, d) )
-# 6663 "parsing/parser.ml"
+# 6671 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -6678,17 +6686,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 616 "parsing/parser.mly"
+# 624 "parsing/parser.mly"
        (string * char option)
-# 6684 "parsing/parser.ml"
+# 6692 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.constant) = 
-# 3418 "parsing/parser.mly"
+# 3438 "parsing/parser.mly"
                  ( let (f, m) = _1 in Pconst_float (f, m) )
-# 6692 "parsing/parser.ml"
+# 6700 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
